const custom_items_no_tooltips = [
    'drill_sand_cast',
    'drill_red_sand_cast',
    'drill_head_mold',
    'frame_mold',
    "draconium_sheet",
    "incomplete_core",
    "incomplete_wyvern_core",

]
onEvent('item.registry', event => {

    for (let item of custom_items_no_tooltips){
        let name = global.id_to_name(item);
        event.create(item).displayName(name);
    }
})
global.id_to_name = (id) => {
    const id_split = id.split('_');
    return id_split.map((word) => word[0].toUpperCase() + word.substring(1)).join(' ');
}
//patrick star
onEvent('item.registry', event => {
    event.create('patrick_star').displayName('§dPatrick Star')
})

//kubejs items
onEvent('item.registry', event => {
//sequenced assembly items
    event.create('incomplete_unobtanium_drill_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Unobtanium Drill Sand Cast')
	event.create('incomplete_unobtanium_drill_red_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Unobtanium Drill Red Sand Cast')
//steel
    event.create('incomplete_steel_drill_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Steel Drill Sand Cast')
	event.create('incomplete_steel_drill_red_sand_cast').type('create:sequenced_assembly').displayName('Incomplete Steel Drill Red Sand Cast')
//singularity
    event.create('singiron').displayName('Iron Singularity')
    event.create('singallthemodium').displayName('Allthemodium Singularity')
    event.create('singdiamond').displayName('Diamond Singularity')
    event.create('singemerald').displayName('Emerald Singularity')
    event.create('singgold').displayName('Gold Singularity')
    event.create('singlapis').displayName('Lapis Singularity')
    event.create('singredstone').displayName('Redstone Singularity')
    event.create('singunobtainium').displayName('Unobtainium Singularity')
    event.create('singvibranium').displayName('Vibranium Singularity')


})
//drill
onEvent('item.registry.drillhead', event => {
    // creates a drill item with 3 durability
    event.create('unobtainium_drillhead').displayName('Unobtainium Plated Drillhead').durability(1).ignoreDamage()


})